// DesktopTexture.h: interface for the DesktopTexture class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DESKTOPTEXTURE_H__DF589CF7_3C13_487E_A0B3_34ADA89C0C81__INCLUDED_)
#define AFX_DESKTOPTEXTURE_H__DF589CF7_3C13_487E_A0B3_34ADA89C0C81__INCLUDED_

class DesktopTexture
{
public:

	DesktopTexture();
	virtual ~DesktopTexture();

	void configure();
	void apply(HDC hDC, int x, int y, int width, int height,const string &iconCommand, const string &name, bool activated);

private:

	bool useSmallIcon;

	bool noActiveIconColor;

	int iconSize;
	int iconTextPosition;
	int iconTextSpacing;

	COLORREF iconTextBackground;
	COLORREF iconTextBackgroundLight;
	COLORREF iconTextBackgroundDark;

	int normal_saturation;
	int normal_hueIntensity;
	COLORREF normal_hueColor;

	int active_saturation;
	int active_hueIntensity;
	COLORREF active_hueColor;
};

#endif // !defined(AFX_DESKTOPTEXTURE_H__DF589CF7_3C13_487E_A0B3_34ADA89C0C81__INCLUDED_)
